/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2001. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  kCONSPANEL                      1       /* callback function: constepOpPanel */
#define  kCONSPANEL_kLINEARCONST         2       /* callback function: linearConstOpPanel */
#define  kCONSPANEL_kSPLINECURVECONST    3       /* callback function: splineConstOpPanel */
#define  kCONSPANEL_kSTEPVALUE           4
#define  kCONSPANEL_kOKBUTTON            5       /* callback function: okButtonConstPanel */
#define  kCONSPANEL_kCANCELBUTTON        6       /* callback function: cancelButtonConstPanel */
#define  kCONSPANEL_kOUTPUTASFLOATS      7
#define  kCONSPANEL_DECORATION           8

#define  kCPIOPTS                        2       /* callback function: CPIPanelMethod */
#define  kCPIOPTS_kWLSYMBOL              2
#define  kCPIOPTS_kWAVELENGTH            3
#define  kCPIOPTS_kOKBUTTON              4       /* callback function: okCPI */
#define  kCPIOPTS_kCANCELBUTTON          5       /* callback function: cancelCPI */

#define  kLINEOPT                        3       /* callback function: linearOptionPointsMethod */
#define  kLINEOPT_kDATAPOINTLIST         2
#define  kLINEOPT_kTWOTHETAVALUE         3
#define  kLINEOPT_kCHANNELNUMBER         4
#define  kLINEOPT_kADDBUTTON             5       /* callback function: addToDataListLin */
#define  kLINEOPT_kREMOVEBUTTON          6       /* callback function: removeFromDataListLin */
#define  kLINEOPT_kOKBUTTON              7       /* callback function: okOpPanelLin */
#define  kLINEOPT_kCANCELBUTTON          8       /* callback function: cancelSplineOpPanelLin */
#define  kLINEOPT_kREMOVEALL             9       /* callback function: removeAllLin */
#define  kLINEOPT_TEXTMSG                10

#define  kLINOPTION                      4       /* callback function: linearOpPanel */
#define  kLINOPTION_NUMERIC              2
#define  kLINOPTION_kANGLECHANNELONE     3
#define  kLINOPTION_kOKBUTTON            4       /* callback function: optionOkButton */
#define  kLINOPTION_kCANCELBUTTON        5       /* callback function: cancelButton */
#define  kLINOPTION_kFORMULA             6

#define  kLOADCALIB                      5       /* callback function: standardMainMethod */
#define  kLOADCALIB_kSTANDARDS           2
#define  kLOADCALIB_kOKBUTTON            3       /* callback function: okButtonStandards */
#define  kLOADCALIB_kPOINTS              4
#define  kLOADCALIB_kOBSERVED            5       /* callback function: openXfitPeaks */
#define  kLOADCALIB_kCANCELBUTTON        6       /* callback function: cancelButtonStandards */

#define  kPROGRESS                       6
#define  kPROGRESS_kPROGRESSBAR          2
#define  kPROGRESS_kINPUTFILELABEL       3
#define  kPROGRESS_kINPUTFILENAME        4
#define  kPROGRESS_kOUTPUTFILELABEL      5
#define  kPROGRESS_kOUTPUTFILENAME       6
#define  kPROGRESS_kFILENUMLABEL         7

#define  kRANGEOPT                       7       /* callback function: limitOptionPanel */
#define  kRANGEOPT_kOKBUTTON             2       /* callback function: okLimitButton */
#define  kRANGEOPT_kCANCELBUTTON         3       /* callback function: cancelLimitButton */
#define  kRANGEOPT_kMAXRANGE             4
#define  kRANGEOPT_kMINRANGE             5

#define  kSPLINEOPT                      8       /* callback function: splineOptionPanel */
#define  kSPLINEOPT_kDATAPOINTLIST       2
#define  kSPLINEOPT_kTWOTHETAVALUE       3
#define  kSPLINEOPT_kCHANNELNUMBER       4
#define  kSPLINEOPT_kADDBUTTON           5       /* callback function: addToDataList */
#define  kSPLINEOPT_kREMOVEBUTTON        6       /* callback function: removeFromDataList */
#define  kSPLINEOPT_OKBUTTON             7       /* callback function: okSplineOpPanel */
#define  kSPLINEOPT_kCANCELBUTTON        8       /* callback function: cancelSplineOpPanel */
#define  kSPLINEOPT_kREMOVEALL           9       /* callback function: removeAll */
#define  kSPLINEOPT_TEXTMSG              10

#define  MP                              9       /* callback function: mainPanelMethod */
#define  MP_kADDFILES                    2       /* callback function: addFilesButton */
#define  MP_kCONVERT                     3       /* callback function: tConvertFileCB */
#define  MP_kCONVERTBUTTON               4       /* callback function: convertButton */
#define  MP_kFILES                       5
#define  MP_kREMOVEFILE                  6       /* callback function: removeFilesButton */
#define  MP_kLINEARCONVERTION            7       /* callback function: linearRadioButton */
#define  MP_kSPLINECONVERTION            8       /* callback function: splineRadioButton */
#define  MP_kCONSTANTSTEP                9
#define  MP_kROUNDTOINT                  10
#define  MP_kLIMMITRANGECB               11
#define  MP_kQuitButton                  12      /* callback function: quitButton */
#define  MP_kOUTPUTFILETYPE              13      /* callback function: outputFileTypeMenu */
#define  MP_kNULLCONVERSION              14      /* callback function: nullConversionRB */
#define  MP_kTWOTHETAVALUE               15
#define  MP_kCHANNELONEVALUE             16
#define  MP_kWRITERMESSAGE               17
#define  MP_kBUGREPORTS                  18
#define  MP_kCONVERTOPTS                 19
#define  MP_kOUTPUTFILETYPEVALUE         20
#define  MP_CHANONEANGLELABEL            21
#define  MP_TWOTHETALABEL                22
#define  MP_kOUTPUTFILELABEL             23


     /* Menu Bars, Menus, and Menu Items: */

#define  kMENUBAR                        1
#define  kMENUBAR_kFILE                  2
#define  kMENUBAR_kFILE_kLOADOPTIONS     3       /* callback function: loadOptions */
#define  kMENUBAR_kFILE_kSAVEOPTIONS     4       /* callback function: saveOptions */
#define  kMENUBAR_kFILE_SEPARATOR_2      5
#define  kMENUBAR_kFILE_kQUIT            6       /* callback function: quitMenu */
#define  kMENUBAR_kOPTIONSMENU           7
#define  kMENUBAR_kOPTIONSMENU_kOPTIONS  8       /* callback function: optionsMenu */
#define  kMENUBAR_kOPTIONSMENU_kLINCAL   9       /* callback function: linearCalibration */
#define  kMENUBAR_kOPTIONSMENU_kSPLINEOPT 10     /* callback function: SplineOptionsMenu */
#define  kMENUBAR_kOPTIONSMENU_SEPARATOR 11
#define  kMENUBAR_kOPTIONSMENU_kCONSTS   12      /* callback function: constStepOption */
#define  kMENUBAR_kOPTIONSMENU_kRANGEOPTI 13     /* callback function: rangeOptions */

#define  kSPLINEMEN                      2
#define  kSPLINEMEN_kDEFAULTMENU         2
#define  kSPLINEMEN_kDEFAULTMENU_kSAVEASD 3      /* callback function: saveAsDefaultMenu */
#define  kSPLINEMEN_kIMPORT              4
#define  kSPLINEMEN_kIMPORT_kIMPORTXFIT  5       /* callback function: importXfit */

#define  OPTIONMENU                      3
#define  OPTIONMENU_kDEFAULT             2
#define  OPTIONMENU_kDEFAULT_kSAVEDEFAULT 3      /* callback function: saveDefaultMenu */


     /* Callback Prototypes: */ 

int  CVICALLBACK addFilesButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK addToDataList(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK addToDataListLin(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cancelButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cancelButtonConstPanel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cancelButtonStandards(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cancelCPI(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cancelLimitButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cancelSplineOpPanel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK cancelSplineOpPanelLin(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK constepOpPanel(int panel, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK constStepOption(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK convertButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CPIPanelMethod(int panel, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK importXfit(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK limitOptionPanel(int panel, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK linearCalibration(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK linearConstOpPanel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK linearOpPanel(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK linearOptionPointsMethod(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK linearRadioButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK loadOptions(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK mainPanelMethod(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK nullConversionRB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK okButtonConstPanel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK okButtonStandards(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK okCPI(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK okLimitButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK okOpPanelLin(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK okSplineOpPanel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK openXfitPeaks(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK optionOkButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK optionsMenu(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK outputFileTypeMenu(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK quitButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK quitMenu(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK rangeOptions(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK removeAll(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK removeAllLin(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK removeFilesButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK removeFromDataList(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK removeFromDataListLin(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK saveAsDefaultMenu(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK saveDefaultMenu(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK saveOptions(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK splineConstOpPanel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK splineOptionPanel(int panel, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK SplineOptionsMenu(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK splineRadioButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK standardMainMethod(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK tConvertFileCB(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
