#ifndef __CONSTANTSTEPOPTPANEL_H__
#define __CONSTANTSTEPOPTPANEL_H__
#include "DiffConvTypes.h"
#include "DiffConv.h"
/***************Convertion Methods*****************/
#define kLINEAR	   1
#define kREBINNING 2
#define kSPLINE	   3
/**************************************************/

/*****************Constant step option structure**************/
typedef struct ConstantStepOptions
{
	int conversionMethod;
	int outputFloatingCounts;
	double stepValue;
} ConstantStepOptions;
/*************************************************************/

/*******************Global Varibales**************************/
extern ConstantStepOptions constStepOpts;	   //The global varables which is to store all the constant step options. 
/*************************************************************/

void initConstStepOpsPanel(panelStruct *panelInfo);
#endif
